Package org.jacoco.core.analysis

## Interface IPackageCoverage

All Superinterfaces:
  `ICoverageNode`

All Known Implementing Classes:
  `PackageCoverageImpl`

    public interface IPackageCoverage
    extends ICoverageNode

Coverage data of a Java package containing classes and source files. The name of this node is the package name in VM notation (slash separated). The name of the default package is the empty string.

See Also:
  `IClassCoverage`, `ISourceFileCoverage`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Collection<IClassCoverage>` `getClasses()` Returns all classes contained in this package.
`java.util.Collection<ISourceFileCoverage>` `getSourceFiles()` Returns all source files in this package.

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`containsCode, getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Method Detail

#### getClasses

    java.util.Collection<IClassCoverage> getClasses()

Returns all classes contained in this package.

Returns:
  all classes

#### getSourceFiles

    java.util.Collection<ISourceFileCoverage> getSourceFiles()

Returns all source files in this package.

Returns:
  all source files